Skip to main content
POST
/
activities
/
conversations
/
{conversationId}
/
notes
Creates a note activity for a conversation.
curl --request POST \
  --url https://api.leadping.ai/activities/conversations/{conversationId}/notes \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
{
  "id": "<string>",
  "activityCategory": "<string>",
  "conversationId": "<string>",
  "leadId": "<string>",
  "summary": "<string>",
  "direction": "<string>",
  "status": {},
  "statusReason": "<string>",
  "isWarmup": true,
  "trafficType": {},
  "scheduledFor": "2023-11-07T05:31:56Z",
  "scheduledReason": "<string>",
  "canceledAt": "2023-11-07T05:31:56Z",
  "cancelReason": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

conversationId
string
required

The conversation identifier.

Body

A token to cancel the operation.

Request payload for create note.

text
string

The text value for this note.

Response

Returns the activity table row.

API DTO containing activity data used by Leadping API contracts.

id
string

The unique ID for this activity.

activityType
enum<string>

Defines the supported Activity Type values.

Available options:
Message,
Sms,
Mms,
Call,
Voicemail,
Note,
LeadCreated,
LeadUpdated,
Notification,
Payment
activityCategory
string

The activity category value for this activity.

conversationId
string | null

The conversation ID associated with this activity.

leadId
string | null

The lead ID associated with this activity.

summary
string | null

The summary value for this activity.

direction
string | null

The direction value for this activity.

status
statusReason
string | null

The human-readable status reason explaining this activity.

isWarmup
boolean

Whether this activity is warmup.

trafficType
scheduledFor
string<date-time> | null

The date and time for the scheduled for value on this activity.

scheduledReason
string | null

The human-readable scheduled reason explaining this activity.

canceledAt
string<date-time> | null

The date and time for the canceled at value on this activity.

cancelReason
string | null

The human-readable cancel reason explaining this activity.

createdAt
string<date-time>

The date and time for the created at value on this activity.

createdBy
string

The date and time for the created by value on this activity.